module CasinoHub
  class Payment < ApiResource
    extend Operations::Create

    def self.capture(id, options)
      instance = self.new(id, options)
      instance.refresh({
        method: :post,
        url: "#{instance.resource_url}/capture"
      })
      instance
    end
  end
end